#include<iostream>
#include<algorithm>
int main()
{
    int N , M;
    int K;
    int brojKolonaBezBreskve = 0;

    std::cin >> N >> M >> K;

    char v[N][M];
    int brBreskvi[M];
    int i, j;

    for(int i = 0; i < N; i++)
    for(int j = 0; j < M ; j++)
    std::cin >> v[i][j];

    for(int j = 0; j < M; j++)
    {
    int br = 0;
    for(int i = 0; i < N ; i++)
        {
            if(v[i][j] == 'B')
            br++;
        }
        brBreskvi[j] = br;
    }
    std::sort(brBreskvi, brBreskvi+M);

    for(int i = 0; i < M ;i++)
    {
    if(brBreskvi[i]<= K)
        {
            K-=brBreskvi[i];
            brojKolonaBezBreskve++;
        }
    }
    std::cout << brojKolonaBezBreskve;
    return 0;
}
